Validate a token
Returns the user, tenant, and client details associated with an active Call AI access token.
Prerequisites
- Generate an access token: An active access token to validate.
Endpoint
Section titled “Endpoint”POST /authenticateBase URL: the authentication base URL Mindtickle Support provides for issuing tokens.
Headers: Content-Type: application/json.
Request
Section titled “Request”| Parameter | Type | Required | Description |
|---|---|---|---|
access_token |
string | Required | The active access token to validate. |
Request example
Section titled “Request example”{ "access_token": "ACCESS_TOKEN"}Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
status |
number | Status code in the response body. Check the HTTP status separately. |
user_id |
string | The user associated with the token. |
tenant_id |
string | The tenant associated with the token. |
client_id |
string | The client associated with the token. |
Response example
Section titled “Response example”{ "status": 200, "user_id": "USER_ID", "tenant_id": "TENANT_ID", "client_id": "CLIENT_ID"}- Behavior: Use this call to retrieve the associated user and client details for debugging.
- Behavior: Once generated and verified, pass the token in the header of your requests to the GraphQL API.